._writing {
  font-weight: var(--font-weight-light);
  line-height: 1.2em;

  --font-size-h1: 2rem;
  --font-size-h2: 1.8rem;
  --font-size-h3: 1.6rem;
  --font-size-h4: 1.4rem;
  --font-size-h5: 1.2rem;
  --font-size-h6: 1.1rem;

  p {
    margin: var(--spacer-medium) 0;

    &:first-child { margin-top: 0}
    &:last-child { margin-bottom: 0}
  }

  ol + ol,
  ol + li,
  li + li,
  li + ol {
    margin-top: var(--spacer-small);
  }

  h2, h3, h4, h5, h6,
  .-h2, .-h3, .-h4, .-h5, .-h6{
    padding-bottom: var(--spacer-default);
    margin-bottom: var(--spacer-default);
  }

  h1,
  .-h1 {
    margin-bottom: var(--spacer-xlarge);

    &:not(:first-child){
      margin-top: var(--spacer-xlarge);
    }
  }

  h2,
  .-h2 {
    border-bottom: 1px solid var(--foreground-color);
    margin-top: var(--spacer-large);
  }

  h3,
  .-h3 {
    border-bottom: 1px solid var(--foreground-color-alt);
    margin-top: var(--spacer-medium);
  }
}
